<?php

namespace App\Mobile\Synchronization\Controllers;

use App\Mobile\Synchronization\Resources\SyncPriceResource;
use Freelabois\LaravelQuickstart\Extendables\CrudController;

use Schaffen\Core\Employee\Managers\EmployeeManager;
use Schaffen\Financial\Price\Managers\ProductPriceManager;
use Schaffen\Financial\Price\Models\Price;
use Schaffen\Financial\Price\Managers\PriceManager;
use Schaffen\Financial\Price\Repositories\PriceRepository;


class SyncPriceController extends CrudController
{
    protected $resource = SyncPriceResource::class;

    public function __construct(PriceManager $manager, PriceRepository $repository, ProductPriceManager $product_price_manager)
    {
        parent::__construct($manager, $repository);
        $this->manager = $manager;
        $this->repository = $repository;
        $this->product_price_manager = $product_price_manager;
    }

    public function precosMobile(){
        $precos = Price::with('person_price', 'product_price')->paginate(3);

        return SyncPriceResource::collection($precos);
    }

    public function precosCliente(){
        $user = auth()->user();
        $funcionario_manager = app()->make(EmployeeManager::class);
        $preco_manager = app()->make(PriceManager::class);

        $request['fun_fk_fil_codigo'] = $funcionario_manager->buscarFilialPessoa($user);
        if ($request['fun_fk_fil_codigo'] == null){
            return 'O usuário logado não é um vendedor.';
        } else {
            $request['tap_codigo'] = $preco_manager->buscarTabelaPreco($request['fun_fk_fil_codigo']);
        }
        return SyncPriceResource::collection($this->product_price_manager->buscarPrecos($request['tap_codigo']));
    }
}
