<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;

class SyncFormAssociationResource extends JsonResource
{
    public function toArray($request)
    {
        $answers = json_decode($this->foa_respostas);
        if(is_array($answers)){
            foreach ($answers as $answer){
                if($answer->cam_tipo == 1 || $answer->cam_tipo == 3){
                    if(!isset($answer->foa_resposta)){
                        $answer->foa_resposta = '';
                    }else if(is_string($answer->foa_resposta)) {
                        $images = explode(',', $answer->foa_resposta);
                        $urls = [];
                        foreach ($images as $image) {
                            if (!empty($image)) {
                                $path = Storage::url($image);
                                $path = str_replace("public/", "", $path);
                                $path = str_replace("//", "/", $path);
                                $img = env('APP_URL') . $path;
                                $urls[] = $img;
                            }

                        }
                        $answer->foa_resposta = implode(',', $urls);
                    }
                }
            }
        }

        return [
            "form_codigo" => $this->foa_fk_form_codigo,
            "answers" => $answers
        ];
    }
}
