<?php


namespace App\RestApi\Financial\Controllers;


use App\Http\Controller;
use App\RestApi\Financial\Resources\ImportedFinancialMovementResource;
use Freelabois\LaravelQuickstart\Traits\Crudable;
use Schaffen\Financial\FinancialMovement\Managers\ImportedFinancialMovementManager;
use Schaffen\Financial\FinancialMovement\Repositories\ImportedFinancialMovementRepository;

class ImportedFinancialMovementController extends Controller
{
    use Crudable;

    /**
     * ServiceOrderVisitationController constructor.
     * @param ImportedFinancialMovementManager $manager
     * @param ImportedFinancialMovementRepository $repository
     */
    public function __construct(
        ImportedFinancialMovementManager $manager,
        ImportedFinancialMovementRepository $repository
    )
    {
        $this->resource = ImportedFinancialMovementResource::class;
        $this->setup($manager, $repository);
    }
}